{% trans_default_domain 'FOSUserBundle' %}
{% if error is defined and error and error.messageKey == "resetting.error.bad_username" %}
    {% include "security/reset_password/check_email_content.html.twig" with {"tokenLifetime" : ""} %}
{% else %}
<div id="main" class="mt-3">
    <div class="green accent-1 border border-info rounded pt-2 ">
        <div class="row justify-content-md-center">
            <div class="col-md-12">
                <h1 class="row mb-4">
                    <span class="col-12 title align-center">{{ 'resetting.title'|trans({}, 'security') }}</span>
                </h1>
            </div>
        </div>
        <div class="row justify-content-md-center">
            <div class="col-12 col-md-6 col-lg-5 col-xl-4">
                {% if error is defined and error %}
                <div class="alert alert-danger alert-dismissible fade show align-center" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <span class="bold">{{ error.messageKey|trans(error.messageData, 'security') }}</span>
                </div>
                {% endif %}
                {{ form_start(requestForm) }}
                {{ form_row(requestForm.email) }}

                <div class="md-form">
                    <button class="btn btn-primary btn-block" type="submit">
                        <i class="far fa-external-link-alt"></i> {{ 'resetting.request.submit'|trans }}
                    </button>
                </div>
                {{ form_end(requestForm) }}
            </div>
        </div>
    </div>
</div>
{% endif %}
